//Javascript Orios Page
var xmlHttp


function nuevoAjax()
{
	var xmlhttp=false;
 	try {
 		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
 	} catch (e) {
 		try {
 			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
 		} catch (E) {
 			xmlhttp = false;
 		}
  	}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
 		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function alerta()
{
	alert("Si jalo");
}

function borra_producto(clave_borra)
{
	document.getElementById('contenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	var folio=document.getElementById('folio').value;
	borra=nuevoAjax();
	//alert(clave_borra + " " + folio);
	borra.open("GET", "consultas_ajax_paquetes.php?claveBorra="+clave_borra+"&"+"folio="+folio,true);
	borra.onreadystatechange= 
	function() 
		{ 	
			if (borra.readyState==4)
			{  
			document.getElementById('contenido').innerHTML=borra.responseText;  
			} 
		} 
	borra.send(null);
}

function agregar()
{	
	document.getElementById('contenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	agrega=nuevoAjax();
	var clave=document.getElementById('clave').value;
	var cantidad=document.getElementById('cantidad').value;
	var folio=document.getElementById('folio').value;
	if (clave =='')
	{
		alert("No se ha ingresado ningún producto");
		return;
	}
	if (cantidad =='')
	{
		alert("Requieres ingresar cantidad del producto");
		return;
	}
	agrega.open("GET", "consultas_ajax_paquetes.php?clave="+clave+"&"+"cantidad="+cantidad+"&"+"folio="+folio,true);
	agrega.onreadystatechange= 
	function() 
	{ 	
		if (agrega.readyState==4)
		{ 
			document.getElementById('contenido').innerHTML=agrega.responseText; 
			document.getElementById('clave').value='';
			document.getElementById('nombre').value='';
			document.getElementById('cantidad').value='';
		}
	} 
	agrega.send(null);
	cantidad=0;
	clave='';
}

